textures/sanctum/weapfloor_green
{
	qer_editorimage textures/sanctum/weapfloor_1.tga
//	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/sanctum/weapfloor_fx_green.tga
		rgbGen wave sin 0.9 0.2 0 0.7
		tcMod rotate 180
		depthWrite
		alphaFunc GE128
	}
	{
		map textures/sanctum/weapfloor_1.tga
		blendfunc blend
		rgbGen identity
		depthFunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
		depthFunc equal
	}
	{
		map textures/sanctum/weapfloor_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/sanctum/white_fog
{
	qer_editorimage textures/sanctum/white.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .4 .4 .4 ) 15000

}
textures/sanctum/sanctum_sky_01
{
	qer_editorimage textures/sanctum/sanctum_sky_01.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun 1 .78 .48 90 225 55
	q3map_sun .77 .91 1 90 135 80
	q3map_surfacelight 120
	q3map_lightimage textures/common/white.tga
	skyparms - 512 -
	{
		map textures/sanctum/sanctum_sky_01.tga
		tcMod scale 3 2
		tcMod scroll 0.04 0.04
		depthWrite
	}
	{
		map textures/sanctum/sanctum_sky_02.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 10 10
		tcMod scroll .1 .1
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.09 0.09
	}
}
textures/sanctum/sanctum_sky_03
{
	qer_editorimage textures/sanctum/sanctum_sky_03.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun 1 .78 .48 90 225 55
	q3map_sun .77 .91 1 90 135 80
	q3map_surfacelight 120
	q3map_lightimage textures/common/white.tga
	skyparms - 512 -
	{
		map textures/sanctum/sanctum_sky_03.tga
		tcMod scale 3 2
		tcMod scroll 0.04 0.04
		depthWrite
	}
	{
		map textures/sanctum/sanctum_sky_04.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 10 10
		tcMod scroll .1 .1
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.09 0.09
	}
}
textures/sanctum/ceil1_38_10_trans
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}










textures/hipertrofia/girder05
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/hipertrofia/girder05.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/sanctum/grit01_trans
{
	qer_editorimage textures/sanctum/grit01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/sanctum/grit01.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/sanctum/shw_largerblock1b
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_largerblock1b.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_largerblock1b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}
textures/sanctum/wall_06_02
{
	qer_editorimage textures/sanctum/wall_06_02.tga
	surfaceparm nomarks
	//light1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sanctum/wall_06_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sanctum/wall_06_02.blend.tga
		rgbGen wave sin 0.5 0.5 0.15 0.15
		blendfunc GL_ONE GL_ONE
	}
}
textures/sanctum/shw_metalsupport1a
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1a.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}
textures/sanctum/shw_metalsupport1b
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1b.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}

textures/sanctum/shw_metalsupport1d
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1d.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1d.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}
textures/sanctum/shw_organic2

	{

		{
			map textures/sanctum/ooze.tga
                        tcmod scale 2 2
                        tcMod turb 0 .2 0 .1
                        rgbGen identity
                }
                {
			map textures/sanctum/shw_organic2.tga
                        Blendfunc blend
			rgbGen identity
		}
                {
		        map $lightmap
                        blendFunc filter
		        rgbGen identity
	        }

	
        }


textures/sanctum/skin
{
	qer_editorimage textures/sanctum/chapthroat.tga
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sanctum/chapthroat.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		tcMod scale 1 1
		tcMod scroll 0.012 0.012
		rgbGen identity
		alphaGen lightingSpecular
	}
	
}

textures/sanctum/shw_metalsupport1a
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1a.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}
textures/sanctum/shw_metalsupport1b
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1b.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}

textures/sanctum/shw_metalsupport1d
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/sanctum/shw_metalsupport1d.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/sanctum/shw_metalsupport1d.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}

}

textures/sanctum/water
{
	qer_editorimage textures/sanctum/sanctum_water_01
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	noMipMaps
	cull none	
	{
		map textures/sanctum/sanctum_water_02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identitylighting
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 .18 0 .018
	}	
	{
		map textures/sanctum/sanctum_water_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identitylighting
		alphaGen vertex	
		tcmod scale 1 1			
		tcMod turb 0 -.15 0 -.015				
	}			
}


textures/sanctum/water_volume
{
	qer_editorimage textures/sanctum/com_water_volume.tga
	qer_trans 0.5
	q3map_bounceScale 0		
	surfaceparm nodraw
	surfaceparm nomarks	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/sanctum/shw_rock_02_01_512x512
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sanctum/shw_rock_02_01_512x512.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sanctum/shw_rock_02_01_512x512
		blendFunc filter
	}
}
textures/sanctum/sanctum_rock_02
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sanctum/sanctum_rock_02.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sanctum/sanctum_rock_02.tga
		blendFunc filter
	}
}

textures/sanctum/sanctum_rock_01
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/sanctum/sanctum_rock_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sanctum/sanctum_rock_01.tga
		blendFunc filter
	}
}
textures/sanctum/bouncepad
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 200
	qer_editorimage textures/sfx/bouncepad01block18b.tga

	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}


textures/sanctum/Kot-in-Action_logo_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/Kot-in-Action_logo_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/Kot-in-Action_logo_512x512.tga //this is the diffuse map you will see ingame
   }
}


textures/sanctum/LunarModule_logo2_256x128
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/LunarModule_logo2_256x128.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/LunarModule_logo2_256x128.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/Luxology_white_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/Luxology_white_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/Luxology_white_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/MassacreServers_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/MassacreServers_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/MassacreServers_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/MaverickServers_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/MaverickServers_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/MaverickServers_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/ReadyUpRadio_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/ReadyUpRadio_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/ReadyUpRadio_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/Sapphire_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/Sapphire_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/Sapphire_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/Wacom_512x512
{
      surfaceparm nomarks //weapon impact won't cause marks on the texture
      qer_editorimage textures/sanctum/Wacom_512x512.tga //this is the texture displayed in the texture browser
      nopicmip //the texture is not affected by r_picmip
   {
      map textures/sanctum/Wacom_512x512.tga //this is the diffuse map you will see ingame
   }
}

textures/sanctum/flare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
	surfaceparm nonsolid
    surfaceparm nolightmap

	{
		clampmap textures/sanctum/flare.tga
                tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}

}

textures/sanctum/ceil1_38_trans_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/sanctum/ceil1_39_trans
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 7500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/sanctum/sanctum_organic_01
{
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/sanctum/sanctum_organic_01.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}